| Home | Libraries | People | FAQ | More

##### iota

###### Prototype

    template<class ForwardRange, class Value>
    ForwardRange& iota(ForwardRange& rng, Value x);

###### Description

`iota` traverses forward through `rng`, each element `y` in `rng` is assigned a value equivalent to `x + boost::distance(boost::begin(rng), it)`

###### Definition

Defined in the header file `boost/range/algorithm_ext/iota.hpp`

###### Requirements

1. `ForwardRange` is a model of the Forward Range Concept.
2. `Value` is a model of the `Incrementable` Concept.

###### Complexity

Linear. Exactly `distance(rng)` assignments into `rng`.